Skip to content
BleemeoBleemeo

Create a user

POST
/v1/user/
curl --request POST \
--url https://example.com/v1/user/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "failed_login_count": 1, "first_name": "example", "has_two_factor_auth": true, "is_admin": true, "is_manager": true, "last_access": "2026-04-15T12:00:00Z", "last_login": "2026-04-15T12:00:00Z", "last_name": "example", "modified_at": "2026-04-15T12:00:00Z", "notification_web_critical": true, "notification_web_ok": true, "notification_web_warning": true, "password_last_change": "2026-04-15T12:00:00Z", "profile_picture": "https://example.com", "default_profile_picture": true, "timezone": "example", "toggle_newsletter": true, "toggle_weekly": true }'

Invite a new user to the current account.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
nullable
accounts
required
Array<string>
activated_at
required
string format: date-time
nullable
can_leave_account
required
boolean
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
date_joined
required
string format: date-time
nullable
email
required
string format: email
failed_login_count
integer
nullable
first_name
string
has_two_factor_auth
boolean
id
required
string format: uuid
is_admin
required
boolean
is_manager
required
boolean
last_access
string format: date-time
nullable
last_login
string format: date-time
nullable
last_name
string
mobile_notification_enable
required
boolean
modified_at
string format: date-time
nullable
notification_web_critical
boolean
notification_web_ok
boolean
notification_web_warning
boolean
password_last_change
string format: date-time
nullable
profile_picture
string format: uri
nullable
default_profile_picture
boolean
timezone
string
nullable
toggle_newsletter
boolean
toggle_weekly
boolean
nullable
user
required
string format: uuid
nullable
Examplegenerated
{
"email": "hello@example.com",
"failed_login_count": 1,
"first_name": "example",
"has_two_factor_auth": true,
"is_admin": true,
"is_manager": true,
"last_access": "2026-04-15T12:00:00Z",
"last_login": "2026-04-15T12:00:00Z",
"last_name": "example",
"modified_at": "2026-04-15T12:00:00Z",
"notification_web_critical": true,
"notification_web_ok": true,
"notification_web_warning": true,
"password_last_change": "2026-04-15T12:00:00Z",
"profile_picture": "https://example.com",
"default_profile_picture": true,
"timezone": "example",
"toggle_newsletter": true,
"toggle_weekly": true
}
Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
account
required
string format: uuid
nullable
accounts
required
Array<string>
activated_at
required
string format: date-time
nullable
can_leave_account
required
boolean
created_at
required
string format: date-time
created_by
required
string format: uuid
nullable
date_joined
required
string format: date-time
nullable
email
required
string format: email
failed_login_count
integer
nullable
first_name
string
has_two_factor_auth
boolean
id
required
string format: uuid
is_admin
required
boolean
is_manager
required
boolean
last_access
string format: date-time
nullable
last_login
string format: date-time
nullable
last_name
string
mobile_notification_enable
required
boolean
modified_at
string format: date-time
nullable
notification_web_critical
boolean
notification_web_ok
boolean
notification_web_warning
boolean
password_last_change
string format: date-time
nullable
profile_picture
string format: uri
nullable
default_profile_picture
boolean
timezone
string
nullable
toggle_newsletter
boolean
toggle_weekly
boolean
nullable
user
required
string format: uuid
nullable
Examplegenerated
{
"email": "hello@example.com",
"failed_login_count": 1,
"first_name": "example",
"has_two_factor_auth": true,
"is_admin": true,
"is_manager": true,
"last_access": "2026-04-15T12:00:00Z",
"last_login": "2026-04-15T12:00:00Z",
"last_name": "example",
"modified_at": "2026-04-15T12:00:00Z",
"notification_web_critical": true,
"notification_web_ok": true,
"notification_web_warning": true,
"password_last_change": "2026-04-15T12:00:00Z",
"profile_picture": "https://example.com",
"default_profile_picture": true,
"timezone": "example",
"toggle_newsletter": true,
"toggle_weekly": true
}